# -*- coding:utf-8 -*-
"""
:Test-Layer: python
"""
import unittest
from myforum.app import MyForum
from myforum.forumthread import ForumThread
from myforum.comment import Comment


class MyForumTest(unittest.TestCase):
    """Test MyForum"""

    def testSimple(self):
      """A very simple test"""
      forum = MyForum()
      forum['thread1'] = ForumThread(title=u'テスト掲示板')
      forum['thread1']['1'] = Comment(name=u'太郎', body=u'こんにちは')
      forum['thread1']['2'] = Comment(name=u'次郎', body=u'さようなら')

      self.assertEqual([comment.body
                        for comment in forum['thread1'].values()],
                       [u'こんにちは', u'さようなら'])
