import grok
import zope.interface
import zope.schema


class IComment(zope.interface.Interface):

    name = zope.schema.TextLine(title=u'Name')

    body = zope.schema.Text(title=u'Body')


class Comment(grok.Container):

    grok.implements(IComment)

    name = None
    body = None

    def __init__(self, name, body):
        super(Comment, self).__init__()
        self.name = name
        self.body = body
